Module | ActionController::SessionManagement::ClassMethods
In: | lib/action_controller/session_management.rb

### Methods

session session= session_options session_store session_store=

### Public Instance methods

session(*args)
session=(options = {})
session_options()

Returns the hash used to configure the session. Example use:

      ActionController::Base.session_options[:secure] = true # session only available over HTTPS

session_store()

Returns the session store class currently used.

session_store=(store)

Set the session store to be used for keeping the session data between requests. By default, sessions are stored in browser cookies (`:cookie_store`), but you can also specify one of the other included stores (`:active_record_store`, `:mem_cache_store`, or your own custom class.

[Validate]